]> git.deb.at Git - pkg/abook.git/commitdiff
set -e on its own line
authorGerfried Fuchs <rhonda@debian.org>
Thu, 19 Apr 2012 11:03:01 +0000 (13:03 +0200)
committerGerfried Fuchs <rhonda@debian.org>
Thu, 19 Apr 2012 11:03:01 +0000 (13:03 +0200)
debian/changelog
debian/config
debian/postinst
debian/postrm

index f6c608dc8b5250a356abf215e4de91fe656dd17d..0565aa2cccc5611a2c5b0e707393024e54836861 100644 (file)
@@ -51,6 +51,8 @@ abook (0.6.0~pre2-2) unstable; urgency=low
     - Polish by Michał Kułach (closes: #658602)
     - Italian by Francesca Ciceri (closes: #658744)
   * Add Vcs-* fields to debian/control.
+  * Explicit call set -e in config/postrm/postinst scripts instead of on the
+    shebang line.
 
  -- 
 
index 57fd21d0a7bd9c1f6b98256f2fd797216423390a..53536b2f11f87fa024f3b84021c1a558907180c3 100644 (file)
@@ -1,8 +1,10 @@
-#!/bin/sh -e
+#!/bin/sh
 # config script for abook
 # copyright 2012 by Gerfried Fuchs <rhonda@debian.org>
 # Licenced under WTFPLv2
 
+set -e
+
 action=$1
 version=$2
 
index f856309cd029c8f0014e34c05f1b347e5f613bae..deab0dded2c0a2c50db3017672d075abc1b0b676 100644 (file)
@@ -1,8 +1,10 @@
-#!/bin/sh -e
+#!/bin/sh
 # postinst for abook
 # copyright 2003-2012 by Gerfried Fuchs <rhonda@debian.org>
 # Licenced under WTFPLv2
 
+set -e
+
 # Source debconf library.
 if [ -e /usr/share/debconf/confmodule ]; then
        . /usr/share/debconf/confmodule
index fc7524368a7d7b83078bc34e26ef2f33f0ff0c5a..27b19f39ed02f24a8c1d6914a15c6b816418653c 100644 (file)
@@ -1,8 +1,10 @@
-#!/bin/sh -e
+#!/bin/sh
 # postrm for abook
 # copyright 2003-2012 by Gerfried Fuchs <rhonda@debian.org>
 # Licenced under WTFPLv2
 
+set -e
+
 if [ -x "`which update-menus 2>/dev/null`" ]; then
        update-menus
 fi